Skip to main content
GET
/
grc
/
entities
List GRC entities
curl --request GET \
  --url https://api.leen.dev/v1/grc/entities \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-CONNECTION-ID: <api-key>'
import requests

url = "https://api.leen.dev/v1/grc/entities"

headers = {
"X-CONNECTION-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-CONNECTION-ID': '<api-key>', 'X-API-KEY': '<api-key>'}
};

fetch('https://api.leen.dev/v1/grc/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "type": "<string>",
      "vendor_attributes": {
        "id": "<string>",
        "vendor": "<string>",
        "data": {}
      },
      "description": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>",
  "previous_cursor": "<string>"
}
{
"detail": "<string>"
}

Authorizations

X-CONNECTION-ID
string
header
required
X-API-KEY
string
header
required

Query Parameters

sort
string | null

Sort by field

Pattern: ^name$|^name\:asc$|^name\:desc$|^type$|^type\:asc$|^type\:desc$|^updated_at$|^updated_at\:asc$|^updated_at\:desc$|^created_at$|^created_at\:asc$|^created_at\:desc$
updatedSince
string<date-time> | null

Datetime filter, only return items updated since this datetime. Example format: 2021-01-01T00:00:00+00:00

cursor
string | null

Skip token to continue from the last item in the previous page

limit
integer
default:100

Limit size (page size)

Required range: x >= 0
type
string | null

Filter entities by type (comma-separated values supported)

Response

Successful Response

items
GRC Entity · object[]
required

List of items returned in the response

next_cursor
string | null

Skip token to continue from the last item in the previous page

previous_cursor
string | null

Skip token to continue from the first item in the previous page